Get card
curl --request GET \
--url https://platform.spritz.finance/v1/cards/{cardId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.spritz.finance/v1/cards/{cardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.spritz.finance/v1/cards/{cardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "active",
"type": "physical",
"country": "<string>",
"currency": "<string>",
"last4": "<string>",
"limit": {
"amount": "200.56",
"interval": "weekly"
},
"payable": true,
"renderSecret": "<string>",
"createdAt": "<string>"
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "<string>",
"status": 404,
"resourceType": "user",
"resourceId": "<string>",
"type": "about:blank",
"detail": "<string>",
"instance": "<string>"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}Cards
Get card
Retrieves a single card by ID for the authenticated user.
GET
/
v1
/
cards
/
{cardId}
Get card
Authorizations
User bearer credential: either a Cognito JWT or an ak_ user API key. Backend integrators using HMAC must include the user API key alongside the three HMAC headers on user-scoped endpoints.
Path Parameters
The id of the card to retrieve
Minimum string length:
1Response
Response for status 200
The unique identifier for the card
Available options:
active, frozen, not_activated, cancelled Available options:
physical, virtual The country code (e.g., US)
The currency code (e.g., USD)
The last 4 digits of the card number
The spend limit for the card, or null if not set
Show child attributes
Show child attributes
Whether the card can be used for payments
The secret used for rendering sensitive card details
ISO 8601 timestamp of card creation